import { Component, Input } from '@angular/core';
import { ApplicantFromGCOrCSR } from '@core/typings/applicant.typing';
import { ClientBrandingForUi } from '@core/typings/branding.typing';

@Component({
  selector: 'gc-applicant-search-result',
  templateUrl: './applicant-search-result.component.html',
  styleUrls: ['./applicant-search-result.component.scss']
})
export class ApplicantSearchResultComponent  {
  @Input() item: ApplicantFromGCOrCSR;
  @Input() isManager: boolean;
  @Input() showEmailAddress: boolean;
  @Input() clientBranding: ClientBrandingForUi;

}
