declare module 'email-reply-parser' {
  import { Email } from 'email-reply-parser/email';
  export class EmailReplyParser {
    read(text: string): Email;
    parse(text: string): Email;
  }
  export class EmailParser {
    quoteHeadersRegex: RegExp[];
    fragments: any[];
    parse(text: string): Email;
  }
  export class Fragment {
    content: string;
    isHidden: boolean;
    isQuoted: boolean;
    isSignature: boolean;
  }
  export = EmailReplyParser;
}
declare module 'email-reply-parser/lib/email' {
  export class Email {
    getFragments(): any[];
    getVisibleText(): string;
    getQuotedText(): string;
    filterText(): string;
  }
}
