declare module 'vanilla-text-mask' {
  export interface Mask {
    textMaskInputElement: {
      update(): string[];
    };
    destroy(): void;
  }
  export type MaskImp = (rawVal: string) => (string|RegExp)[];
  interface MaskDef {
    inputElement: HTMLInputElement;
    mask: MaskImp|(string|RegExp)[];
  }
  export function maskInput (maskDef: MaskDef): Mask;
}
