import { Injectable } from '@angular/core';
import { LogService } from '@yourcause/common/logging';
import { MockAngularProvider } from '@yourcause/test-decorators/angular/helpers';


@Injectable({ providedIn: 'root' })
export class LogServiceMock extends LogService {
  log () { }
  error () { }
}

export const LOG_SERVICE_MOCK = MockAngularProvider(LogServiceMock, LogService);
