import { Pipe, PipeTransform } from '@angular/core';
import { TimeZoneService } from '@core/services/time-zone.service';

@Pipe({
  name: 'ycFormDueDate'
})
export class FormDueDatePipe implements PipeTransform {
  constructor (
    private timezoneService: TimeZoneService
  ) { }

  transform (
    date: string
  ) {
    return this.timezoneService.formatDueDate(date);
  }
}
