import { Pipe, PipeTransform } from '@angular/core';
import { FormTypes } from '@features/configure-forms/form.typing';
import { FormsService } from '@features/configure-forms/services/forms/forms.service';

@Pipe({
  name: 'gcFormTypeName'
})
export class FormTypeNamePipe implements PipeTransform {

  constructor (
    private formService: FormsService
  ) { }

  transform (input: FormTypes) {
    return this.formService.translateFormTypes(input);
  }
}
