import { Pipe, PipeTransform } from '@angular/core';
import { AdHocReportingService } from '@features/reporting/services/ad-hoc-reporting.service';

@Pipe({
  name: 'gcInvalidColumnHeadersAlertMessage'
})
export class InvalidColumnHeadersAlertMessage implements PipeTransform {

  constructor (
    private adHocReportingService: AdHocReportingService
  ) { }

  transform (invalidColumnHeaders: string[]): string {
    return this.adHocReportingService.getInvalidColumnHeadersText(
      invalidColumnHeaders
    );
  }
}
