import { Pipe, PipeTransform } from '@angular/core';
import { UserTypes } from '@core/typings/client-user.typing';

@Pipe({
  name: 'gcShowFormUpdateStats'
})
export class ShowFormUpdateStatsPipe implements PipeTransform {
  transform (
    updatedBy: string,
    updatedDate: string,
    userType: UserTypes,
    isMasked = true, showMaskedApplicants = false
  ) {
    return updatedBy &&
      updatedDate &&
      (
        (!isMasked || showMaskedApplicants) ||
        userType === UserTypes.MANAGER
      );
  }
}
