import { Pipe, PipeTransform } from '@angular/core';
import { TimeZoneService } from '@core/services/time-zone.service';

  @Pipe({
    name: 'gcStartOfDayDateFormatter'
  })
  export class StartOfDayDateFormatterPipe implements PipeTransform {
    constructor (
      private timezoneService: TimeZoneService
    ) { }

    transform (
      date: string,
      format = 'll'
    ) {
      return this.timezoneService.returnMidnightUTCDateShort(
        date,
        format
      );
    }
  }
