import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AdminUsersService } from '@core/services/admin-users.service';

@Injectable({ providedIn: 'root' })
export class AdminClientRolesResolver implements Resolve<void> {
  constructor (
    private adminUsersService: AdminUsersService
  ) { }
  async resolve () {
    await this.adminUsersService.fetchAdminRoles();
  }
}
