import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AdminClientService } from '@features/platform-admin/clients/admin-client.service';

@Injectable({ providedIn: 'root' })
export class AdminClientsResolver implements Resolve<void> {

  constructor (
    private adminClientsService: AdminClientService
  ) { }

  async resolve () {
    await this.adminClientsService.getAllClients();
  }
}
