import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AdminUsersService } from '@core/services/admin-users.service';

@Injectable({ providedIn: 'root' })
export class AdminUsersResolver implements Resolve<boolean> {
  constructor (
    private adminsUserService: AdminUsersService
  ) { }
  async resolve () {
    await this.adminsUserService.getAllAdmins();

    return true;
  }
}
