import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ClientSettingsService } from '@features/client-settings/client-settings.service';

@Injectable({ providedIn: 'root' })
export class LanguageResolver implements Resolve<void> {

  constructor (
    private clientSettingsService: ClientSettingsService
  ) { }

  resolve () {
    this.clientSettingsService.setAllLangs();
  }
}
