import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ApplicationApplicantService } from '@features/apply/application-applicant.service';

@Injectable({ providedIn: 'root' })
export class MyApplicationsResolver implements Resolve<void> {

  constructor (
    private applicationApplicantService: ApplicationApplicantService
  ) { }

  async resolve () {
    await this.applicationApplicantService.getMyApplications(true);
  }
}
