import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { StaticResourceService } from '@core/services/static-resource.service';

@Injectable({ providedIn: 'root' })
export class StaticResourceSASResolver implements Resolve<void> {

  constructor (
    private staticResourceService: StaticResourceService
  ) { }

  async resolve () {
    await this.staticResourceService.getSAS();
  }
}
