import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { TranslationService } from '@core/services/translation.service';

@Injectable({ providedIn: 'root' })
export class TranslationsViewResolver implements Resolve<boolean> {

  constructor (
    private translationService: TranslationService
  ) { }

  async resolve () {
    await this.translationService.setViewTranslations(false);

    return true;
  }
}
