import { Injectable } from '@angular/core';
import { HttpRestService } from './http-rest.service';

@Injectable({ providedIn: 'root' })
export class DebugService {
  constructor (
    private http: HttpRestService
  ) { }
  async debugEvent (
    event: string,
    location: string,
    message: any
  ) {
    try {
      const endpoint = `/Log?logMessage=${encodeURIComponent(message)}&logEvent=${encodeURIComponent(event)}&logLocation=${encodeURIComponent(location)}`;
      await this.http.get(endpoint);
    } catch { }
  }
}
