import { TokenResponse } from '@core/typings/token.typing';

export function mockJWT (
  content: any = {}
) {
  return '.' + btoa(JSON.stringify(content));
}


export function mockTokenResponse (
  content: any = {},
  expiration = new Date(),
  refreshExpiration = new Date()
): TokenResponse {
  return {
    token: mockJWT(content),
    expiration: expiration.toISOString(),
    requirePasswordReset: false,
    refreshToken: '',
    refreshTokenExpiration: refreshExpiration.toISOString()
  };
}
