import { Injectable } from '@angular/core';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';


@RegisterYCState()
@Injectable({ providedIn: 'root' })
export class AuthState extends BaseYcState {
  readonly username: string;
  readonly password: string;

  readonly cultureToSaveAfterLogin: string;
}
