import { Injectable } from '@angular/core';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';
import { Country, Region } from '../typings/location.typing';


@RegisterYCState()
@Injectable({ providedIn: 'root' })
export class LocationState extends BaseYcState {
  readonly countries: Country[];
  readonly regions: {
    [countryName: string]: Region[];
  } = {};
}
