export namespace AnnouncementsAPI {
  export interface Announcement {
    title: string;
    announcementDate: string;
    body: string;
    grantsLink: string;
    linkText: string;
  }
  export interface AnnouncementDisplay extends Announcement {
    id: number;
    lastUpdatedBy: {
      firstName: string;
      lastName: string;
      email: string;
    };
    updatedDate: string;
    createdBy: {
      firstName: string;
      lastName: string;
      email: string;
    };
    status: AnnouncementStatus;
    isFeatured: boolean;
  }
  export enum AnnouncementStatus {
    'DRAFT' = 1,
    'PUBLISHED' = 2
  }
}
