export namespace SFTPAPI {
  export interface SFTPCredentialsListView {
    id: number;
    siteName: string;
    server: string;
    folder: string;
    userName: string;
    password: string;
    description?: string;
    canDelete?: boolean;
    sshKeyFingerprint?: string;
    userIds: number[];
    pgpPublicEncryptionKey: string;
  }
  export interface SFTPCredentialsPayload {
    id?: number;
    siteName: string;
    server: string;
    folder: string;
    userName: string;
    password: string;
    description?: string;
    sshKeyFingerprint?: string;
    userList: number[];
    pgpPublicEncryptionKey?: string;
  }
  export interface BasicSFTPCredentials {
    siteName: string;
    id: number;
  }
  export interface UserSFTPCredentials {
    name: string;
    id: number;
  }
  export interface Report {
    name: string;
    id: number;
  }
}
