import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { AdHocReportingModule } from '@features/reporting/ad-hoc-reporting.module';
import { APConfigPageComponent } from './ap-config-page/ap-config-page.component';
import { ImportVendorModalComponent } from './import-vender-modal/import-vendor-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    AdHocReportingModule
  ],
  declarations: [
    APConfigPageComponent,
    ImportVendorModalComponent
  ]
})

export class APConfigModule { }
