import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { BulkDownloadApplicationModalComponent } from './bulk-download-application-modal/bulk-download-application-modal.component';
import { DownloadApplicationPDFModalComponent } from './download-application-pdf-modal/download-application-pdf-modal.component';

@NgModule({
  imports: [
    GCCoreModule
  ],
  declarations: [
    DownloadApplicationPDFModalComponent,
    BulkDownloadApplicationModalComponent
  ],
  exports: [
    DownloadApplicationPDFModalComponent,
    BulkDownloadApplicationModalComponent
  ]
})
export class ApplicationDownloadModule { }
