import { Component, Input } from '@angular/core';
import { FormInfoForPDF, FormioComponentForPdf } from '@core/typings/pdf.typing';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';

@Component({
  selector: 'gc-application-pdf-component',
  templateUrl: './application-pdf-component.component.html'
})
export class ApplicationPDFComponentComponent {
  @Input() getFormAnswerMap: Record<number, (component: FormioComponentForPdf) => any|any[]>;
  @Input() component: FormioComponentForPdf;
  @Input() form: FormInfoForPDF;

  RefTypes = ReferenceFieldsUI.ReferenceFieldTypes;
}
