import { Injectable } from '@angular/core';
import { MyApplicationFromApi } from '@core/typings/application.typing';
import { MyApplicationFormUI } from '@features/configure-forms/form.typing';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';


@RegisterYCState()
@Injectable({ providedIn: 'root' })
export class ApplicationApplicantState extends BaseYcState {
  readonly myApplications: MyApplicationFromApi[];
  readonly revisionAlerts: MyApplicationFromApi[];
  readonly formsPastDue: MyApplicationFormUI[];
  readonly hasNominations: boolean;
}

