import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { AudienceModalComponent } from './audience-modal/audience-modal.component';
import { AudiencesPageComponent } from './audiences-page/audiences-page.component';
import { ManageAudienceTableComponent } from './manage-audience-table/manage-audience-table.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    AudiencesPageComponent,
    AudienceModalComponent,
    ManageAudienceTableComponent
  ],
  exports: [
    ManageAudienceTableComponent
  ]
})
export class AudienceModule { }
