import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { BlackbaudSsoLogoutPageComponent } from './blackbaud-sso-logout-page/blackbaud-sso-logout-page.component';
import { BlackbaudSsoRedirectComponent } from './blackbaud-sso-redirect/blackbaud-sso-redirect.component';
import { ConfirmEmailComponent } from './confirm-email/confirm-email.component';
import { ForgotPasswordComponent } from './forgot-password/forgot-password.component';
import { LoginExtrasComponent } from './login-extras/login-extras.component';
import { LoginFormComponent } from './login-form/login-form.component';
import { LoginTabsWrapperComponent } from './login-tabs-wrapper/login-tabs-wrapper.component';
import { ResendVerificationComponent } from './resend-verification/resend-verification.component';
import { ResetPasswordComponent } from './reset-password/reset-password.component';
import { SignUpApplicantComponent } from './sign-up-applicant/sign-up-applicant.component';
import { VerificationCodePageComponent } from './verification-code-page/verification-code-page.component';

@NgModule({
  imports: [
    CommonModule,
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    LoginFormComponent,
    SignUpApplicantComponent,
    LoginExtrasComponent,
    LoginTabsWrapperComponent,
    ForgotPasswordComponent,
    ResetPasswordComponent,
    ConfirmEmailComponent,
    ResendVerificationComponent,
    BlackbaudSsoRedirectComponent,
    BlackbaudSsoLogoutPageComponent,
    VerificationCodePageComponent
  ]
})
export class AuthModule { }
