import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { BudgetAssignmentsModule } from '@features/budget-assignments/budget-assignments.module';
import { RuleAutomationModule } from '@features/rule-automation/rule-automation.module';
import { BudgetAuditTrailTabComponent } from './budget-audit-trail-tab/budget-audit-trail-tab.component';
import { BudgetFundingSourceModalComponent } from './budget-funding-source-modal/budget-funding-source-modal.component';
import { BudgetFundingSourcesTabComponent } from './budget-funding-sources-tab/budget-funding-sources-tab.component';
import { BudgetImportModalComponent } from './budget-import-modal/budget-import-modal.component';
import { BudgetsPageComponent } from './budgets-page/budgets-page.component';
import { BudgetsWrapperComponent } from './budgets-wrapper/budgets-wrapper.component';
import { NewEditBudgetsPageComponent } from './new-edit-budgets-page/new-edit-budgets-page.component';
import { OpenCloseBudgetModalComponent } from './open-close-budget-modal/open-close-budget-modal.component';


@NgModule({
  imports: [
    GCCoreModule,
    BudgetAssignmentsModule,
    RuleAutomationModule,
    ScrollingModule
  ],
  declarations: [
    BudgetsWrapperComponent,
    BudgetsPageComponent,
    NewEditBudgetsPageComponent,
    BudgetFundingSourceModalComponent,
    OpenCloseBudgetModalComponent,
    BudgetFundingSourcesTabComponent,
    BudgetAuditTrailTabComponent,
    BudgetImportModalComponent
  ]
})
export class BudgetsModule { }
