import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { SelectEmailTemplateModule } from '@features/system-emails/select-email-template/select-email-template.module';
import { YCCommonModule } from '@yourcause/common';
import { CancelApplicationModalComponent } from './cancel-application-modal/cancel-application-modal.component';

@NgModule({
  imports: [
    CommonModule,
    GCCoreModule,
    YCCommonModule,
    SelectEmailTemplateModule
  ],
  declarations: [
    CancelApplicationModalComponent
  ],
  exports: [
    CancelApplicationModalComponent
  ]
})

export class CancelApplicationModule { }
