import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ClientSettingsService } from '../client-settings.service';

@Injectable({
  providedIn: 'root'
})
export class ClientIntAuthoritiesResolver implements Resolve<void> {

  constructor (
      private clientSettingsService: ClientSettingsService
  ) { }

  async resolve () {
    await this.clientSettingsService.setClientIntAuthorities();
  }
}
