import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ClientSettingsService } from '../client-settings.service';

@Injectable({
  providedIn: 'root'
})
export class ConfigureClientSettingsResolver implements Resolve<boolean> {

  constructor (
    private clientSettingsService: ClientSettingsService
  ) { }

  resolve () {
    this.clientSettingsService.configureClientSettings();

    return true;
  }
}
