import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { CommunicationPreferencesComponent } from './communication-preferences/communication-preferences.component';
import { EmailCommunicationGroupComponent } from './email-communication-group/email-communication-group.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    CommunicationPreferencesComponent,
    EmailCommunicationGroupComponent
  ]
})
export class CommunicationPreferencesModule { }
