import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommunicationFileUpload } from '@features/application-view/application-attachments/application-attachments.typing';
import { AdaptedExternalCommRecord } from '@features/communications/communications.typing';

@Component({
  selector: 'gc-external-email-thread',
  templateUrl: './external-email-thread.component.html',
  styleUrls: ['./external-email-thread.component.scss']
})
export class ExternalEmailThreadComponent {
  @Input() commRecord: AdaptedExternalCommRecord;
  @Output() onFileClick = new EventEmitter<CommunicationFileUpload>();
}
