import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { CustomDataTablesService } from '../custom-data-table.service';

@Injectable({ providedIn: 'root' })
export class CustomDataTablesResolver implements Resolve<void> {
  constructor (
    private customDataTableService: CustomDataTablesService
  ) { }

  async resolve () {
    await this.customDataTableService.setCustomDataTables();
  }
}
