import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ProgramService } from '@features/programs/program.service';

@Injectable({ providedIn: 'root' })
export class CycleMapResolver implements Resolve<void> {
  constructor (
    private programService: ProgramService
  ) { }

  async resolve () {
    await this.programService.setCycleMap();
  }
}
