import { Pipe, PipeTransform } from '@angular/core';
import { AdHocReportingUI } from '@core/typings/ui/ad-hoc-reporting.typing';

@Pipe({ name: 'gcGetTableWidgetProp' })

export class GetTableWidgetPropPipe implements PipeTransform {

  transform (column: AdHocReportingUI.ColumnImplementation) {
    return `${column.definition.parentBucket}.${column.definition.column}`;
  }

}
