import { SimpleStringMap, TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';
import { DocumentTemplateDetailForUI, DocumentTemplateForUi } from './document-template.typing';

@RegisterYCState()
export class DocumentTemplateState extends BaseYcState {
  readonly detailMap: SimpleStringMap<DocumentTemplateDetailForUI> = {};
  readonly documentTemplates: DocumentTemplateForUi[];
  readonly documentTemplateOptions: TypeaheadSelectOption[];
}
