import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { DocumentTemplateService } from '../document-template.service';

@Injectable({ providedIn: 'root' })
export class DocumentTemplatesResolver implements Resolve<void> {

  constructor (
    private documentTemplateService: DocumentTemplateService
  ) { }

  async resolve () {
    await this.documentTemplateService.setDocumentTemplates();
  }
}
