import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { DownloadsModule } from './downloads.module';
import { SharedDownloadsWrapperComponent } from './shared-downloads-wrapper/shared-downloads-wrapper.component';

@NgModule({
  imports: [
    DownloadsModule,
    RouterModule.forChild([{
      path: 'shared',
      component: SharedDownloadsWrapperComponent
    }])
  ]
})
export class DownloadsRoutingModule { }
