import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'gc-shared-downloads-page',
  templateUrl: 'shared-downloads-page.component.html',
  styleUrls: ['./shared-downloads-page.component.scss']
})
export class SharedDownloadsPageComponent {
  @Input() downloadBodyText: string;
  @Input() downloadHeaderText: string;
  @Input() buttonVisible: boolean;
  @Input() icon: string;
  @Input() url: string;
  @Input() buttonText: string;
  @Output() onClick = new EventEmitter<string>();
}
