import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ExternalAPIService } from './external-api.service';

@Injectable({ providedIn: 'root' })
export class ExternalAPIResolver implements Resolve<void> {
  constructor (
    private externalAPIService: ExternalAPIService
  ) { }

  resolve () {
    return this.externalAPIService.fetchAllIntegrations();
  }
}
