import { FormAudience, FormDefinitionComponent } from '@features/configure-forms/form.typing';
import { DragAndDropItem } from '@yourcause/common';


export interface BucketComp extends DragAndDropItem<string> {
  fieldAudience: FormAudience;
  isReferenceField: boolean;
}

export enum FormBuilderDropEvent {
  NewComponent,
  ReorderComponent,
  InvalidDrop
}

export enum FormBuilderActions {
  Cut,
  Copy,
  Paste_Below,
  Edit,
  Remove,
  Paste_Above,
  Paste_Into_Container
}

export interface FormBuilderActionEvent {
  component: FormDefinitionComponent;
  action: FormBuilderActions;
}

export interface ComponentToViewOrEdit {
  isEdit: boolean;
  compType: string;
  compKey: string;
}
