import { Component, Optional } from '@angular/core';
import { FormBuilderService } from '@features/formio/form-builder/services/form-builder/form-builder.service';
import { GcFormInstanceComponent } from '@features/formio/form-renderer/gc-form-instance/gc-form-instance.component';
import { FormLogicService } from '@features/formio/services/form-logic/form-logic.service';
import { BaseLayoutComponent } from '../base-layout-component/base-layout.component';

@Component({
  selector: 'gc-columns',
  templateUrl: './gc-columns.component.html',
  styleUrls: ['./gc-columns.component.scss']
})
export class GcColumnsComponent extends BaseLayoutComponent {
  constructor (
    @Optional() parent: GcFormInstanceComponent,
    public formBuilderService: FormBuilderService,
    public formLogicService: FormLogicService
  ) {
    super(formBuilderService, formLogicService);
    this.parent = parent;
  }
}
