import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { AddEditCategoryItemModalComponent } from './add-edit-category-item-modal/add-edit-category-item-modal.component';
import { AddInKindCategoryModalComponent } from './add-in-kind-category-modal/add-in-kind-category-modal.component';
import { InKindCategoriesPageComponent } from './in-kind-categories-page/in-kind-categories-page.component';
import { InKindCategoryDetailPageComponent } from './in-kind-category-detail-page/in-kind-category-detail-page.component';
import { TranslateInKindItemsPageComponent } from './translate-in-kind-items-page/translate-in-kind-items-page.component';
@NgModule({
  imports: [
    CommonModule,
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    InKindCategoriesPageComponent,
    AddInKindCategoryModalComponent,
    InKindCategoryDetailPageComponent,
    AddEditCategoryItemModalComponent,
    TranslateInKindItemsPageComponent
  ]
})
export class InKindModule { }
