import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { BudgetService } from '@features/budgets/budget.service';

@Injectable({ providedIn: 'root' })
export class BudgetInsightsResolver implements Resolve<void> {
  constructor (
    private budgetService: BudgetService
  ) { }

  async resolve () {
    await this.budgetService.getBudgetsForDashboard();
  }
}
