import { Component, OnInit } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';
import { CardItem, CardTypes } from '@yourcause/common';

@Component({
  selector: 'gc-insights-page',
  templateUrl: './insights-page.component.html',
  styleUrls: ['./insights-page.component.scss']
})
export class InsightsPageComponent implements OnInit {
  CardTypes = CardTypes;
  cardArrays: CardItem[][] = [];

  constructor (
    private cardsService: CardsService
  ) { }

  ngOnInit () {
    this.cardArrays = this.cardsService.getCardsByType(CardPageTypes.INSIGHTS);
  }


}
