import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ProgramService } from '@features/programs/program.service';

@Component({
  selector: 'gc-applicants-tab',
  templateUrl: './applicants-tab.component.html',
  styleUrls: ['./applicants-tab.component.scss']
})
export class ApplicantsTabComponent implements OnInit {
  id: number;
  constructor (
    private programService: ProgramService,
    private activatedRoute: ActivatedRoute
  ) { }

  get cycleIds () {
    return this.programService.currentProgramDashCycleIds;
  }

  get isNomination () {
    return location.pathname.includes('nomination');
  }
  ngOnInit () {
    this.id = this.activatedRoute.snapshot.parent.params.id;
  }

}
