import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { InvitationService } from '../invitation.service';

@Injectable({ providedIn: 'root' })
export class AllDistributionListsResolver implements Resolve<void> {
  constructor (
    private invitationService: InvitationService
  ) { }

  async resolve () {
    await this.invitationService.setAllDistributionLists();
  }
}
