import { Component } from '@angular/core';
import { PanelTypes } from '@yourcause/common';
import { ModalFactory } from '@yourcause/common/modals';
import { ExpireAllSessionsModalComponent } from '../expire-all-sessions-modal/expire-all-sessions-modal.component';

@Component({
  selector: 'gc-account-security-panel',
  templateUrl: './account-security-panel.component.html',
  styleUrls: ['./account-security-panel.component.scss']
})
export class AccountSecurityPanelComponent {
  PanelTypes = PanelTypes;

  constructor (
    private modalFactory: ModalFactory
  ) { }

  async endAllSessions () {
    await this.modalFactory.open(
      ExpireAllSessionsModalComponent,
      { }
    );
  }

}
