import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { AccountSecurityPanelComponent } from './account-security-panel/account-security-panel.component';
import { DeleteAccountModalComponent } from './delete-account-modal/delete-account-modal.component';
import { ExpireAllSessionsModalComponent } from './expire-all-sessions-modal/expire-all-sessions-modal.component';
import { MyAccountApplicantComponent } from './my-account-applicant/my-account-applicant.component';
import { MyAccountManagerComponent } from './my-account-manager/my-account-manager.component';
import { PersonalDataModalComponent } from './personal-data-modal/personal-data-modal.component';

@NgModule({
  imports: [
    CommonModule,
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    MyAccountApplicantComponent,
    MyAccountManagerComponent,
    PersonalDataModalComponent,
    DeleteAccountModalComponent,
    ExpireAllSessionsModalComponent,
    AccountSecurityPanelComponent
  ]
})
export class MyAccountModule { }
