import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationManagerModule } from '@features/application-manager/application-manager.module';
import { YCCommonModule } from '@yourcause/common';
import { EditFilterPageComponent } from './edit-filter-page/edit-filter-page.component';
import { ManageFilterModalComponent } from './manage-filter-modal/manage-filter-modal.component';
import { ManageFitlersPageComponent } from './manage-filters-page/manage-filters-page.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    ApplicationManagerModule
  ],
  declarations: [
    ManageFitlersPageComponent,
    ManageFilterModalComponent,
    EditFilterPageComponent
  ]
})
export class MyFilterModule { }
