import { Columns, SimpleNumberMap } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';
import { MyFilterDetailFromApi, MyFilterForUi } from './my-filters.typing';

@RegisterYCState()
export class MyFilterState extends BaseYcState {
  readonly myFilters: MyFilterForUi[];
  readonly myFilterDetailMap: SimpleNumberMap<MyFilterDetailFromApi> = {};
  readonly applicationColumns: Columns;

}
