import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { MyFilterService } from '../my-filters.service';

@Injectable({ providedIn: 'root' })
export class MyFiltersResolver implements Resolve<void> {

  constructor (
    private myFilterService: MyFilterService
  ) { }

  async resolve () {
    await this.myFilterService.setMyFilters();
  }
}
