import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ApplicationActivityModule } from '@features/application-activity/application-activity.module';
import { MyWorkspacePageComponent } from './my-workspace-page/my-workspace-page.component';
import { ViewAllDeadlinesModalComponent } from './view-all-deadlines-modal/view-all-deadlines-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    ApplicationActivityModule
  ],
  declarations: [
    MyWorkspacePageComponent,
    ViewAllDeadlinesModalComponent
  ]
})
export class MyWorkspaceModule { }
