import { ProgramDeadline } from '@core/typings/program.typing';
import { ApplicationActivityForUi } from '@features/application-activity/activity.typing';
import { TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class MyWorkspaceState extends BaseYcState {
  readonly totalApplications: number;
  readonly totalActiveWorkflows: number;
  readonly totalActivePrograms: number;
  readonly totalNotReviewed: number;
  readonly filterPrograms: TypeaheadSelectOption[];
  readonly filterLevels: TypeaheadSelectOption[];
  readonly deadlines: ProgramDeadline[];
  readonly activities: ApplicationActivityForUi[];

}
