import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { MyWorkspaceService } from '../my-workspace.service';

@Injectable({ providedIn: 'root' })
export class SummaryFacetsResolver implements Resolve<void> {

  constructor (
    private myWorkspaceService: MyWorkspaceService
  ) { }

  async resolve () {
    await this.myWorkspaceService.getProgramsAndWorkflowsForMyWorkspace();
  }
}
