import { Component, Input } from '@angular/core';
import { ProgramDeadline } from '@core/typings/program.typing';
import { YCModalComponent } from '@yourcause/common/modals';

@Component({
  selector: 'gc-view-all-deadlines-modal',
  templateUrl: './view-all-deadlines-modal.component.html',
  styleUrls: ['./view-all-deadlines-modal.component.scss']
})
export class ViewAllDeadlinesModalComponent extends YCModalComponent<void> {
  @Input() deadlines: ProgramDeadline[];

  onCancel () {
    this.closeModal.emit();
  }
}
