import { Component, Input } from '@angular/core';
import { FundingSourceTypes } from '@core/typings/budget.typing';

@Component({
  selector: 'gc-payment-dates-block',
  templateUrl: './payment-dates-block.component.html',
  styleUrls: ['./payment-dates-block.component.scss']
})
export class PaymentDatesBlockComponent {
  @Input() fundingSourceType: FundingSourceTypes;
  @Input() scheduledDate: string;
  @Input() issuedDate: string;
  @Input() clearedDate: string;
  @Input() isForApplicantPortal: boolean;

  FundingSourceType = FundingSourceTypes;
}
