import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { PaymentProcessingService } from '../payment-processing.service';

@Injectable({ providedIn: 'root' })
export class InKindPaymentStatsResolver implements Resolve<void> {

  constructor (
    private paymentProcessingService: PaymentProcessingService
  ) { }

  async resolve () {
    await this.paymentProcessingService.setInKindPaymentStats();
  }
}
