import { Component } from '@angular/core';
import { Tab } from '@yourcause/common';

@Component({
  selector: 'gc-address-requests-page',
  templateUrl: './address-requests-page.component.html',
  styleUrls: ['./address-requests-page.component.scss']
})
export class AddressRequestsPageComponent {
  tabs: Tab[] = [{
    link: '/platform/address-requests/active',
    labelKey: 'common:textActive',
    label: 'Active'
  }, {
    link: '/platform/address-requests/approved-or-rejected',
    labelKey: 'common:hdrApprovedRejected',
    label: 'Approved / Rejected'
  }];
}
