import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { AddressRequestsPageComponent } from './address-requests-page/address-requests-page.component';
import { AddressRequestsTableComponent } from './address-requests-table/address-requests-table.component';
import { ApproveRejectAddressRequestModalComponent } from './approve-reject-address-request-modal/approve-reject-address-request-modal.component';
import { RejectionReasonPipe } from './pipes/rejection-reason.pipe';
import { ToggleHoldStatusModalComponent } from './toggle-hold-status-modal/toggle-hold-status-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    AddressRequestsPageComponent,
    AddressRequestsTableComponent,
    ToggleHoldStatusModalComponent,
    ApproveRejectAddressRequestModalComponent,
    RejectionReasonPipe
  ]
})
export class AddressRequestsModule { }
