import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CustomerInsightsPageComponent } from './customer-insights-page/customer-insights-page.component';
import { CustomerInsightsModule } from './customer-insights.module';

const routes: Routes = [
  { path: '', component: CustomerInsightsPageComponent }
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(routes),
    CustomerInsightsModule
  ],
  exports: [
    RouterModule
  ]
})
export class CustomerInsightsRoutingModule {}
