import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { NgChartsModule } from 'ng2-charts';
import { AtRiskActivityTrackingEmailModalComponent } from './at-risk-activity-tracking-email-modal/at-risk-activity-tracking-email-modal.component';
import { CustomerInsightsPageComponent } from './customer-insights-page/customer-insights-page.component';

@NgModule({
  declarations: [
    CustomerInsightsPageComponent,
    AtRiskActivityTrackingEmailModalComponent
  ],
  imports: [
    CommonModule,
    GCCoreModule,
    NgChartsModule
  ],
  exports: [],
  providers: []
})
export class CustomerInsightsModule {}
