import { Pipe, PipeTransform } from '@angular/core';
import { FeatureStatus } from '@yourcause/common/feature-flag';

@Pipe({
  name: 'gcFeatureFlagStatusIcon'
})
export class FeatureFlagStatusIconPipe implements PipeTransform {
  transform (value: FeatureStatus) {
    switch (value) {
      case FeatureStatus.ON:
        return 'check text-success';
      case FeatureStatus.CANARY:
        return 'vials';
      case FeatureStatus.OFF:
        return 'times text-danger';
    }
  }
}
