import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { InternalAdminsCreateEditComponent } from './internal-admins-create-edit/internal-admins-create-edit.component';
import { InternalUsersDrilldownComponent } from './internal-admins-drilldown/internal-admins-drilldown.component';
import { InternalAdminsComponent } from './internal-admins.component';
import { SearchAdminActiveDirectoryComponent } from './search-admin-active-directory/search-admin-active-directory.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    InternalAdminsComponent,
    InternalAdminsCreateEditComponent,
    InternalUsersDrilldownComponent,
    SearchAdminActiveDirectoryComponent
  ],
  exports: [
    InternalAdminsComponent,
    InternalAdminsCreateEditComponent
  ]
})
export class InternalAdminsModule { }
