import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { PlatformHomeComponent } from '@features/platform-admin/platform-home/platform-home.component';
import { SystemEmailsModule } from '@features/system-emails/system-emails.module';
import { ApplicantEmailLinkModalComponent } from './applicants/applicant-email-link-modal/applicant-email-link-modal.component';
import { ApplicantUserModalComponent } from './applicants/applicant-user-modal/applicant-user-modal.component';
import { ApplicantsComponent } from './applicants/applicants.component';
import { DevToolsWrapperPageComponent } from './dev-tools/dev-tools-wrapper-page/dev-tools-wrapper-page.component';
import { EmailLogsComponent } from './email-logs/email-logs.component';


@NgModule({
  imports: [GCCoreModule, SystemEmailsModule],
  declarations: [
    PlatformHomeComponent,
    EmailLogsComponent,
    ApplicantsComponent,
    ApplicantEmailLinkModalComponent,
    ApplicantUserModalComponent,
    DevToolsWrapperPageComponent
  ],
  exports: [
    ApplicantEmailLinkModalComponent
  ]
})

export class PlatformAdminModule {}
