import { Component } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';

@Component({
  selector: 'gc-product-management-page',
  templateUrl: './product-management-page.component.html',
  styleUrls: ['./product-management-page.component.scss']
})
export class ProductManagementPageComponent {

  switchBoardItems = this.cardsService.getCardsByType(CardPageTypes.PRODUCT_MANAGEMENT)[0];

  constructor (
    private cardsService: CardsService
  ) { }
}
