import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ReleaseNotesPageComponent } from './release-notes-page/release-notes-page.component';
import { ReleaseNotesModule } from './release-notes.module';
import { PlatformReleaseNoteResolver } from './resolvers/platform-release-notes.resolver';

@NgModule({
  imports: [
    ReleaseNotesModule,
    RouterModule.forChild([{
      path: '',
      component: ReleaseNotesPageComponent,
      resolve: {
        releaseNotes: PlatformReleaseNoteResolver
      }
    }])
  ]
})
export class ReleaseNotesRoutingRoutingModule { }

