import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { RolesModule } from '@features/roles/roles.module';
import { PlatformRoleDetailWrapperComponent } from './platform-role-detail-wrapper/platform-role-detail-wrapper.component';
import { PlatformRolesWrapperComponent } from './platform-roles-wrapper/platform-roles-wrapper.component';

@NgModule({
  imports: [
    GCCoreModule,
    RolesModule
  ],
  declarations: [
    PlatformRolesWrapperComponent,
    PlatformRoleDetailWrapperComponent
  ]
})
export class RolesAndPermissionsModule { }
