import { Component, OnInit } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';
import { CardItem, CardTypes } from '@yourcause/common';

@Component({
  selector: 'gc-program-setup-page',
  templateUrl: './program-setup-page.component.html',
  styleUrls: ['./program-setup-page.component.scss']
})
export class ProgramSetupPageComponent implements OnInit {
  CardTypes = CardTypes;
  cardArrays: CardItem[][] = [];

  constructor (
    private cardService: CardsService
  ) { }

  ngOnInit () {
    this.cardArrays = this.cardService.getCardsByType(
      CardPageTypes.PROGRAM
    );
  }
}
