import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { ReferenceFieldsService } from '../services/reference-fields.service';

@Pipe({ name: 'gcDisplayRefFieldType' })
export class DisplayRefFieldTypePipe implements PipeTransform {

  constructor (
    private refFieldsService: ReferenceFieldsService
  ) { }

  transform (type: ReferenceFieldsUI.ReferenceFieldTypes): string {
    const translation = this.refFieldsService.getFieldTypeTranslatedWithIcon(type);

    return translation.label;
  }

}
