import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ReferenceFieldsService } from './services/reference-fields.service';

@Injectable({ providedIn: 'root' })
export class ReferenceFieldsResolver implements Resolve<void> {

  constructor (
    private referenceFieldsService: ReferenceFieldsService
  ) { }

  async resolve () {
    await this.referenceFieldsService.resolve();
  }
}
