import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { ApplicationsHubComponent } from './applications-hub/applications-hub.component';
import { AwardsHubComponent } from './awards-hub/awards-hub.component';
import { BaseHubTableComponent } from './base-hub-table/base-hub-table.component';
import { BudgetHubComponent } from './budget-hub/budget-hub.component';
import { CustomFormsHubComponent } from './custom-forms-hub/custom-forms-hub.component';
import { DataHubPageComponent } from './data-hub-page/data-hub-page.component';
import { ExportModalComponent } from './export-modal/export-modal.component';
import { PaymentsHubComponent } from './payments-hub/payments-hub.component';
import { ProgramSummaryHubComponent } from './program-summary-hub/program-summary-hub.component';


@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule,
    CommonModule
  ],
  declarations: [
    BaseHubTableComponent,
    AwardsHubComponent,
    ApplicationsHubComponent,
    BudgetHubComponent,
    CustomFormsHubComponent,
    PaymentsHubComponent,
    ProgramSummaryHubComponent,
    ExportModalComponent,
    DataHubPageComponent
  ]
})
export class DataHubModule { }
