import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AdHocReportingService } from '../services/ad-hoc-reporting.service';


@Injectable({ providedIn: 'root' })
export class AdHocReportingListResolver implements Resolve<void> {
  constructor (
    private adHocReportingService: AdHocReportingService
  ) { }

  async resolve () {
    await this.adHocReportingService.fetchReports();
  }
}
