import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { SFTPService } from '@features/sftp/sftp.service';


@Injectable({ providedIn: 'root' })
export class DataFeedRowsResolver implements Resolve<void> {
  constructor (
    private sftpService: SFTPService
  ) { }

  async resolve () {
    await this.sftpService.setUserCredentialsAndList();
  }
}
