import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { GetPermissionI18nKeyPipe } from './get-permission-i18n-key.pipe';
import { ManageRoleUsersPageComponent } from './manage-role-users-page/manage-role-users-page.component';
import { NewEditRolesPageComponent } from './new-edit-roles-page/new-edit-roles-page.component';
import { RoleDetailWrapperComponent } from './role-detail-wrapper/role-detail-wrapper.component';
import { RolesPageWrapperComponent } from './roles-page-wrapper/roles-page-wrapper.component';
import { RolesTableComponent } from './roles-table/roles-table.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    GetPermissionI18nKeyPipe,
    NewEditRolesPageComponent,
    ManageRoleUsersPageComponent,
    RolesPageWrapperComponent,
    RolesTableComponent,
    RoleDetailWrapperComponent
  ],
  exports: [
    RolesTableComponent,
    NewEditRolesPageComponent
  ]
})
export class RolesModule { }
