import { User } from '@core/typings/client-user.typing';
import { PermissionSet } from '@core/typings/permission.typing';
import { Role } from '@core/typings/roles.typing';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';


@RegisterYCState()
export class RolesState extends BaseYcState {
  readonly roles: Role[];
  readonly userRoleMap: {
    [roleId: number]: User[];
  } = {};
  readonly permissionSets: PermissionSet[];
}
