import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AllUsersResolver } from '@features/users/resolvers/all-users.resolver';
import { SftpCredentialsPageComponent } from './sftp-credentials-page/sftp-credentials-page.component';
import { SftpModule } from './sftp.module';

@NgModule({
  imports: [
    SftpModule,
    RouterModule.forChild([{
      path: '',
      component: SftpCredentialsPageComponent,
      resolve: {
        users: AllUsersResolver
      }
    }])
  ]
})
export class SftpRoutingModule { }
