import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { CredentialsModalComponent } from './credentials-modal/credentials-modal.component';
import DeleteCredentialsModalComponent from './delete-credentials-modal/delete-credentials-modal.component';
import { SftpCredentialsPageComponent } from './sftp-credentials-page/sftp-credentials-page.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    SftpCredentialsPageComponent,
    CredentialsModalComponent,
    DeleteCredentialsModalComponent
  ]
})
export class SftpModule { }
