import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { EmailService } from '../email.service';

@Injectable({ providedIn: 'root' })
export class CommunicationPreferencesResolver implements Resolve<void> {

  constructor (
    private emailService: EmailService
  ) { }

  async resolve () {
    await this.emailService.getCommunicationPrefs();
  }
}
