import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { UserService } from '../user.service';

@Injectable({
  providedIn: 'root'
})
export class AllUsersResolver implements Resolve<void> {

  constructor (
    private userService: UserService
  ) { }

  async resolve () {
    await this.userService.setAllUsers();
  }
}
