import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { WorkflowService } from '../workflow.service';

@Injectable({ providedIn: 'root' })
export class WorkflowResolver implements Resolve<void> {

  constructor (
    private workflowService: WorkflowService
  ) { }

  async resolve () {
    await this.workflowService.getWorkflows();
  }
}
