import { Workflow, WorkflowDetail, WorkflowManagerActions } from '@core/typings/workflow.typing';
import { SimpleStringMap, TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class WorkflowState extends BaseYcState {
  readonly workflows: Workflow[];
  readonly workflowMap: SimpleStringMap<WorkflowDetail> = {};
  readonly myWorkflowManagerRolesMap: SimpleStringMap<WorkflowManagerActions[]>;
  readonly myWorkflowOptions: TypeaheadSelectOption[] = [];
  readonly myWorkflowLevelOptions: TypeaheadSelectOption[] = [];
}
