import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { GCCoreModule } from '@core/_core.module';
import { AngularFormioModule } from '@features/formio/angular-formio.module';
import { FormFormulaTestsComponent } from './formulas/formula.component';

@NgModule({
  imports: [
    GCCoreModule,
    AngularFormioModule,
    RouterModule.forChild([{
      path: 'formulas',
      component: FormFormulaTestsComponent
    }])
  ],
  declarations: [FormFormulaTestsComponent]
})
export class FormsTestsModule { }
