import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AppSharedModule } from '../app.shared.module';
import { RootTestComponent } from './root-test.component';
import { testRoutes } from './test.routes';

@NgModule({
  declarations: [RootTestComponent],
  imports: [AppSharedModule, RouterModule.forRoot([{ path: 'tests', children: testRoutes }])],
  bootstrap: [RootTestComponent]
})
export class RootTestModule { }
