for account in $(az storage account list | jq -cr '.[] | select(.kind=="StorageV2")'); do
  RESOURCE_GROUP=$(echo $account | jq -r '.resourceGroup');
  ACCOUNT_NAME=$(echo $account | jq -r '.name');

  echo $RESOURCE_GROUP;
  echo $ACCOUNT_NAME;

  PUBLIC_LENGTH=`az storage container list --auth-mode login --account-name $ACCOUNT_NAME | jq -c '.[] | select(.properties.publicAccess != null)' | wc -l`
  echo $PUBLIC_LENGTH
  if [ $PUBLIC_LENGTH -gt 0 ]; then
    echo "Not converting $ACCOUNT_NAME"
  else
    echo "Converting $RESOURCE_GROUP - $ACCOUNT_NAME"
    az storage account update --allow-blob-public-access=false -g $RESOURCE_GROUP -n $ACCOUNT_NAME
  fi
done;
