import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';

@Injectable({ providedIn: 'root' })
export class MockHttpRestService extends HttpRestService {
  private static nextResponses: any[] = [];
  constructor () {
    super(null, null);
    this.makeRequest = async () => {
      const [response] = MockHttpRestService.nextResponses;
      MockHttpRestService.prepNextResponse(MockHttpRestService.nextResponses.filter((v, index) => index !== 0));

      return response;
    };
  }

  static prepNextResponse (val: any) {
    this.nextResponses = val;
  }
}
