import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsService } from '@features/reference-fields/services/reference-fields.service';

@Pipe({name: 'gcCheckboxNumberValue'})
export class CheckboxNumberValuePipe implements PipeTransform {

  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (value: number): boolean {
    return this.referenceFieldService.convertNumberToCheckboxValue(value);
  }
}
