import { Pipe, PipeTransform } from '@angular/core';
import { AdHocReportingService } from '@features/reporting/services/ad-hoc-reporting.service';

@Pipe({
  name: 'gcGetInvalidColumnHeaders'
})
export class GetInvalidColumnHeaders implements PipeTransform {

  constructor (
    private adHocReportingService: AdHocReportingService
  ) { }

  transform (columnHeaders: string[]): string[] {
    const invalidHeaders = this.adHocReportingService.getInvalidColumnHeaders(
      columnHeaders
    );

    return invalidHeaders;
  }
}
