import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ClassificationService } from '@core/services/classification.service';

@Injectable({ providedIn: 'root' })
export class ClassificationResolver implements Resolve<void> {

  constructor (
    private classificationService: ClassificationService
  ) { }

  resolve () {
    this.classificationService.setClassifications();
  }
}
