import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { CurrencyService } from '@core/services/currency.service';

@Injectable({ providedIn: 'root' })
export class CurrencyFormattingResolver implements Resolve<void> {

  constructor (
    private currencyService: CurrencyService
  ) { }

  resolve () {
    this.currencyService.setCurrencyFormatting();
  }
}
