import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { NonprofitService } from '@features/nonprofit/nonprofit.service';

@Injectable({ providedIn: 'root' })
export class SdgResolver implements Resolve<void> {

  constructor (
    private nonprofitService: NonprofitService
  ) { }

  resolve () {
    this.nonprofitService.setSdgMetadata();
  }
}
