import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { StatusService } from '@core/services/status.service';

@Injectable({ providedIn: 'root' })
export class StatusResolver implements Resolve<void> {

  constructor (
    private statusService: StatusService
  ) { }

  resolve () {
    this.statusService.prepareStatuses();
  }
}
