import { Injectable } from '@angular/core';
import { HttpRestService } from './http-rest.service';


@Injectable({ providedIn: 'root' })
export class LookupService {

   constructor (
    private httpRestService: HttpRestService
  ) { }

  getStatesByCountryId (countryId: number) {
    return this.httpRestService.get('api/lookup/states/' + countryId);
  }

  getIpAddresses () {
    return this.httpRestService.get('api/lookup/IpAddresses');
  }
}
