import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { MockAngularProvider } from '@yourcause/test-decorators/angular/helpers';
import { PortalDeterminationService } from './portal-determination.service';

let portalDeterminationService: PortalDeterminationServiceMock;
@Injectable({ providedIn: 'root' })
export class PortalDeterminationServiceMock extends PortalDeterminationService {

  constructor (
    router: Router
  ) {
    super(router);
    if (portalDeterminationService) {
      return portalDeterminationService;
    } else {
      portalDeterminationService = this;
    }
  }
}

export const PORTAL_DETERMINATION_SERVICE_MOCK = MockAngularProvider(PortalDeterminationServiceMock, PortalDeterminationService);
