import { Injectable } from '@angular/core';
import { AdaptedAdminUser, PlatformAdminRole } from '@core/typings/user.typing';
import { SimpleStringMap } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@Injectable({ providedIn: 'root' })
@RegisterYCState()
export class AdminUsersState extends BaseYcState {
  readonly admins: AdaptedAdminUser[];
  readonly adminMap: SimpleStringMap<AdaptedAdminUser>;
  readonly activeAdminCount: number;
  readonly adminRoles: PlatformAdminRole[];
}
