export interface PasswordStrengthResponse {
  passwordStrength: number;
  passwordStrengthRequired: number;
  strengthIsValid: boolean;
}

export interface TokenStatus {
  isValid: boolean;
  tokenStatus: string;
}

export interface LoginPayload {
  email: string;
  password: string;
}

export interface BlackbaudSsoRouteResponse {
  signInUrl: string;
  signOutUrl: string;
}
