export interface GrantManagerUser {
  id: number;
  userId: number;
  firstName: string;
  lastName: string;
  fullName?: string;
  email: string;
  clientId: number;
  clientName?: string;
  createdDate?: string;
  updatedDate?: string;
  emailConfirmed?: boolean;
  isDeactivated?: boolean;
  jobTitle: string;
  isSso: boolean;
}

export interface GrantManagerModalResponse {
  firstName: string;
  lastName: string;
  email: string;
  jobTitle: string;
  isSso: boolean;
}
