import { Sublevel, Workflow, WorkflowLevel } from '../workflow.typing';

export namespace WorkflowLevelAutomationUI {
  export enum ObjectTypes {
    Applicant,
    Organization,
    Form,
    Employee
  }
  export interface NewEditFormState {
    currentLevel: WorkflowLevel|Sublevel;
    level: WorkflowLevel|Sublevel;
    workflow: Workflow;
    form: number;
    name: string;
    description: string;
    isAny?: boolean;
  }
}
