import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { AllProgramsResolver } from '@features/programs/resolvers/all-programs.resolver';
import { APConfigPageComponent } from './ap-config-page/ap-config-page.component';
import { APConfigModule } from './ap-config.module';

@NgModule({
  imports: [
    APConfigModule,
    RouterModule.forChild([{
      path: '',
      component: APConfigPageComponent,
      resolve: {
        allPrograms: AllProgramsResolver
      },
      data: { pageName: 'Accounts Payable Configuration' }
    }])
  ]
})
export class APConfigRoutingModule { }
