import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { APConfigService } from './ap-config.service';

@Injectable({
  providedIn: 'root'
})
export class APConfigResolver implements Resolve<void> {
  constructor (
    private apConfigService: APConfigService
  ) { }
  async resolve () {
    await this.apConfigService.setApConfig();
  }
}
