import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { PaymentDisplayHelpersModule } from '@features/payment-display-helpers/payment-display-helpers.module';
import { ApplicantAwardsPageComponent } from './applicant-awards-page/applicant-awards-page.component';
import { ApplicantPaymentsModalComponent } from './applicant-payments-modal/applicant-payments-modal.component';
import { AwardSlatComponent } from './award-slat/award-slat.component';

@NgModule({
  imports: [
    GCCoreModule,
    PaymentDisplayHelpersModule
  ],
  declarations: [
    ApplicantAwardsPageComponent,
    ApplicantPaymentsModalComponent,
    AwardSlatComponent
  ]
})
export class ApplicantAwardsModule { }
