import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AwardService } from '@features/awards/award.service';

@Injectable({ providedIn: 'root' })
export class MyAwardsResolver implements Resolve<void> {

  constructor (
    private awardService: AwardService
  ) { }

  async resolve () {
    await this.awardService.getMyAwards();
  }
}
