import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { GrantActivityBlockComponent } from './grant-activity-block/grant-activity-block.component';
import { RecentActivityModalComponent } from './recent-activity-modal/recent-activity-modal.component';

@NgModule({
  imports: [
    GCCoreModule
  ],
  declarations: [
    GrantActivityBlockComponent,
    RecentActivityModalComponent
  ],
  exports: [
    GrantActivityBlockComponent,
    RecentActivityModalComponent
  ]
})
export class ApplicationActivityModule { }
