import { Pipe, PipeTransform } from '@angular/core';
import { FormioComponentForPdf } from '@core/typings/pdf.typing';
import { ComponentHelperService } from '@features/formio/services/component-helper/component-helper.service';

@Pipe({name: 'gcGetComponentApplicableForPDF'})
export class GetComponentApplicableForPDFPipe implements PipeTransform {

  constructor (
    private componentHelper: ComponentHelperService
  ) { }

  transform (comp: FormioComponentForPdf): boolean {
    return this.componentHelper.isComponentApplicableForPdf(comp, false);
  }
}
