import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { AudienceService } from '../audience.service';

@Injectable({
  providedIn: 'root'
})
export class AllAudiencesResolver implements Resolve<void> {

  constructor (
    private audienceService: AudienceService
  ) { }

  async resolve () {
    await this.audienceService.setAllAudiences();
  }
}
