import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { BrandingColorsPageComponent } from './branding-colors-page/branding-colors-page.component';
import { ClientSettingsTabsComponent } from './client-settings-tabs/client-settings-tabs.component';
import { InternationalSettingsPageComponent } from './international-settings-page/international-settings-page.component';
import { LogoPageComponent } from './logo-page/logo-page.component';



@NgModule({
  imports: [GCCoreModule, YCCommonModule],
  declarations: [
    BrandingColorsPageComponent,
    ClientSettingsTabsComponent,
    InternationalSettingsPageComponent,
    LogoPageComponent
  ]
})
export class ClientSettingsModule {

}
