import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { FormsService } from '@features/configure-forms/services/forms/forms.service';

@Injectable({ providedIn: 'root' })
export class FormsResolver implements Resolve<void> {

  constructor (
    private formService: FormsService
  ) { }

  async resolve () {
    await this.formService.prepareForms();
  }
}
