import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { StandardProductConfigurationService } from '@features/platform-admin/standard-product-configuration/standard-product-configuration.service';

@Injectable({ providedIn: 'root' })
export class StandardFormTemplatesResolver implements Resolve<void> {

  constructor (
    private standardProductService: StandardProductConfigurationService
  ) { }

  async resolve () {
    await this.standardProductService.setStandardFormTemplates();
  }
}
