import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { ArchiveCycleModalComponent } from './archive-cycle-modal/archive-cycle-modal.component';
import { ProgramCycleModalComponent } from './program-cycle-modal/program-cycle-modal.component';
import { ProgramCyclesComponent } from './program-cycles/program-cycles.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    ProgramCyclesComponent,
    ProgramCycleModalComponent,
    ArchiveCycleModalComponent
  ],
  exports: [
    ProgramCyclesComponent,
    ProgramCycleModalComponent,
    ArchiveCycleModalComponent
  ]
})
export class CyclesModule { }
