import { CyclesAPI } from '@core/typings/api/cycles.typing';
import { SimpleStringMap, TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class CyclesState extends BaseYcState {
  readonly allMyCycleSelectOptions: TypeaheadSelectOption[];
  readonly allMyNonFutureCycleSelectOptions: TypeaheadSelectOption[];
  readonly programCycleMap: SimpleStringMap<CyclesAPI.SimpleCycle[]> = {};
}
