import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { DashboardsService } from '../dashboards.service';

@Injectable({
  providedIn: 'root'
})
export class MyDashboardsResolver implements Resolve<void> {

  constructor (
    private dashboardsService: DashboardsService
  ) { }

  async resolve () {
    await this.dashboardsService.setMyDashboards();
  }
}
