import { Injectable } from '@angular/core';
import { HttpRestService } from '@core/services/http-rest.service';

@Injectable({ providedIn: 'root' })
export class SharedDownloadsResources {
  constructor (
    private httpRestService: HttpRestService
  ) { }

  checkFileExistsForReport (payload: number): Promise<boolean> {
    const endpoint = `api/manager/reports/fileExistsForReport?userGeneratedReportId=${payload}`;

    return this.httpRestService.get(endpoint);
  }
}
