import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { EmployeeSSOFieldsService } from '../employee-sso-fields.service';

@Injectable({ providedIn: 'root' })
export class EmployeeSSOFieldsResolver implements Resolve<void> {

  constructor (
    private employeeSSOFieldsService: EmployeeSSOFieldsService
  ) { }

  async resolve () {
    await this.employeeSSOFieldsService.setEmployeeSSOFields();
  }
}
