import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { ApiKeyCopyComponent } from './api-key-copy/api-key-copy.component';
import { ExternalAPIConfigurationPageComponent } from './external-api-configuration-page/external-api-configuration-page.component';
import { InboundApiModalComponent } from './inbound-api-modal/inbound-api-modal.component';
import { InboundApisTableComponent } from './inbound-apis-table/inbound-apis-table.component';
import { OutboundApiModalComponent } from './outbound-api-modal/outbound-api-modal.component';
import { OutboundApisTableComponent } from './outbound-apis-table/outbound-apis-table.component';
import { RegenerateKeyModalComponent } from './regenerate-key-modal/regenerate-key-modal.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    ExternalAPIConfigurationPageComponent,
    InboundApiModalComponent,
    InboundApisTableComponent,
    OutboundApisTableComponent,
    OutboundApiModalComponent,
    ApiKeyCopyComponent,
    RegenerateKeyModalComponent
  ]
})
export class ExternalAPIModule { }
