import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ComponentTabSettingWithValue } from '../component-configuration.typing';

@Component({
  selector: 'gc-custom-javascript-settings',
  templateUrl: './custom-javascript-settings.component.html',
  styleUrls: ['./custom-javascript-settings.component.scss']
})
export class CustomJavascriptSettingsComponent {
  @Input() component: ComponentTabSettingWithValue;
  @Output() onChange = new EventEmitter<string>();

  isCollapsed: boolean;
}
