import { FormDefinitionComponent, FormDefinitionForUi } from '@features/configure-forms/form.typing';

export enum EvaluationType {
  Validation,
  CalculatedValue,
  Visibility
}

export interface EvaluationFn {
  (data: Record<string, any>): any;
  type: EvaluationType;
}

export interface EvaluationContext {
  form: FormDefinitionForUi;
  submission: Record<string, string>;
  data: Record<string, string>;
  component: FormDefinitionComponent;
  instance: FormDefinitionComponent;
  value: any;
  input: any;
}
