import { BehaviorSubject } from 'rxjs';


export interface BaseLogicStateRecord<T> {
  result$: BehaviorSubject<T>;
  previousResult: T;
}

export interface BaseLogicState<L extends BaseLogicStateRecord<any>, K extends string = string> {
  dependentMap: Map<K, L[]>;
  sourceMap: Map<K, L>;
}
