import { Pipe, PipeTransform } from '@angular/core';
import { EvaluationType } from '../logic-builder.typing';

@Pipe({
  name: 'ycShowConditionalLogicBuilder'
})
export class ShowConditionalLogicBuilderPipe implements PipeTransform {
  transform (evaluationType: EvaluationType) {
    return [
      EvaluationType.ConditionallyFalse,
      EvaluationType.ConditionallyTrue
    ].includes(evaluationType);
  }
}
