import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SignatureModule } from '@yourcause/common/signature';
import { MyAccountApplicantComponent } from './my-account-applicant/my-account-applicant.component';
import { MyAccountModule } from './my-account.module';



@NgModule({
  imports: [
    MyAccountModule,
    SignatureModule,
    RouterModule.forChild([{
      path: '',
      component: MyAccountApplicantComponent
    }])
  ]
})
export class ApplicantAccountModule { }
