import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { SignatureModule } from '@yourcause/common/signature';
import { MyAccountManagerComponent } from './my-account-manager/my-account-manager.component';
import { MyAccountModule } from './my-account.module';


@NgModule({
  imports: [
    MyAccountModule,
    SignatureModule,
    RouterModule.forChild([{
      path: '',
      component: MyAccountManagerComponent
    }])
  ]
})
export class ManagementAccountModule { }
