import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { PageHelpModalService } from './page-help-modals.service';

@Injectable({ providedIn: 'root' })
export class PageHelpModalResolver implements Resolve<void> {

  constructor (
    private pageHelpModalService: PageHelpModalService
  ) { }

  async resolve () {
    await this.pageHelpModalService.setPageHelpInfo();
  }
}
