import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { ClientFeaturesPageComponent } from './client-features-page/client-features-page.component';
import { ClientSettingsPageComponent } from './client-settings-page/client-settings-page.component';
import { ClientsDrilldownComponent } from './clients-drilldown/clients-drilldown.component';
import { ClientsPageComponent } from './clients-page/clients-page.component';
import { ManageClientWrapperComponent } from './manage-client-wrapper/manage-client-wrapper.component';




@NgModule({
  imports: [GCCoreModule, YCCommonModule],
  declarations: [
    ClientsPageComponent,
    ClientsDrilldownComponent,
    ManageClientWrapperComponent,
    ClientSettingsPageComponent,
    ClientFeaturesPageComponent
  ],
  exports: [
    ManageClientWrapperComponent
  ]
})

export class AdminClientsModule {}
