import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { FeatureFlagStatusIconPipe } from './feature-flag-status-icon.pipe';
import { FeatureFlagStatusTextPipe } from './feature-flag-status-text.pipe';
import { FeatureFlagsPageComponent } from './feature-flags-page/feature-flags-page.component';
import { UpdateFeatureFlagStatusComponent } from './update-feature-flag-status/update-feature-flag-status.component';



@NgModule({
  declarations: [
    UpdateFeatureFlagStatusComponent,
    FeatureFlagsPageComponent,
    FeatureFlagStatusIconPipe,
    FeatureFlagStatusTextPipe
  ],
  imports: [
    CommonModule,
    GCCoreModule
  ]
})
export class FeatureFlagsModule { }
