import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { GrantManagerModalComponent } from './grant-manager-modal/grant-manager-modal.component';
import { GrantManagersTableComponent } from './grant-managers-table/grant-managers-table.component';
import { GrantManagersWrapperComponent } from './grant-managers-wrapper/grant-managers-wrapper.component';
import { ImpersonationLogTableComponent } from './impersonation-log-table/impersonation-log-table.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    GrantManagersTableComponent,
    GrantManagerModalComponent,
    ImpersonationLogTableComponent,
    GrantManagersWrapperComponent
  ]
})
export class GrantManagersModule { }
