import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { HelpContentService } from './help-content.service';

@Injectable({ providedIn: 'root' })
export class HelpContentResolver implements Resolve<void> {
  constructor (
    private service: HelpContentService
  ) { }

  async resolve (_next: ActivatedRouteSnapshot) {
    await this.service.getContents();
  }
}
