import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { AddFileToBatchModalComponent } from '@features/platform-admin/historical-imports/add-file-to-batch-modal/add-file-to-batch-modal.component';
import { CreateBatchModalComponent } from '@features/platform-admin/historical-imports/create-batch-modal/create-batch-modal.component';
import { ViewBatchComponent } from '@features/platform-admin/historical-imports/view-batch/view-batch.component';
import { ViewBatchesComponent } from '@features/platform-admin/historical-imports/view-batches/view-batches.component';
import { YCCommonModule } from '@yourcause/common';
import { ViewBatchErrorsModalComponent } from './view-batch-errors-modal/view-batch-errors-modal.component';



@NgModule({
  imports: [GCCoreModule, YCCommonModule],
  declarations: [
    ViewBatchErrorsModalComponent,
    ViewBatchComponent,
    ViewBatchesComponent,
    AddFileToBatchModalComponent,
    CreateBatchModalComponent
  ],
  exports: [
    ViewBatchErrorsModalComponent,
    ViewBatchComponent,
    ViewBatchesComponent,
    AddFileToBatchModalComponent,
    CreateBatchModalComponent
  ]
})
export class HistoricalImportsModule { }
