import { Component } from '@angular/core';
import { UserService } from '@features/users/user.service';

@Component({
  selector: 'gc-platform-home',
  templateUrl: './platform-home.component.html',
  styleUrls: ['./platform-home.component.scss']
})
export class PlatformHomeComponent {

  constructor (
    private userService: UserService
  ) { }

  get username () {
    return this.userService.get('userName');

  }
}
