import { Component } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';

@Component({
  selector: 'gc-admin-settings-page',
  templateUrl: './admin-settings-page.component.html',
  styleUrls: ['./admin-settings-page.component.scss']
})
export class AdminSettingsPageComponent {

  switchBoardItems = this.cardsService.getCardsByType(CardPageTypes.ADMIN_SETTINGS)[0];

  constructor (
    private cardsService: CardsService
  ) { }
}
