import { Component } from '@angular/core';
import { CardPageTypes, CardsService } from '@core/services/cards.service';

@Component({
  selector: 'gc-client-management-page',
  templateUrl: './client-management-page.component.html',
  styleUrls: ['./client-management-page.component.scss']
})
export class ClientManagementPageComponent {

  switchBoardItems = this.cardsService.getCardsByType(CardPageTypes.CLIENT_MANAGEMENT)[0];

  constructor (
    private cardsService: CardsService
  ) { }
}
