import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { ReleaseNoteService } from '../services/release-notes.service';

@Injectable({ providedIn: 'root' })
export class PlatformReleaseNoteResolver implements Resolve<void> {

  constructor (
    private releaseNoteService: ReleaseNoteService
  ) { }

  async resolve () {
    await this.releaseNoteService.setReleaseNotes();
  }
}
