import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { RolesAndPermissionsPlatformService } from '../roles-and-permissions.service';

@Injectable({ providedIn: 'root' })
export class PlatformRolesResolver implements Resolve<void> {
  constructor (
    private rolesAndPermissionService: RolesAndPermissionsPlatformService
  ) { }

  async resolve () {
    await this.rolesAndPermissionService.setAllRolesAndPermissions();
  }
}
