import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { YCCommonModule } from '@yourcause/common';
import { FileAvailableToImportModalComponent } from './file-available-to-import-modal/file-available-to-import-modal.component';
import { PushToProductionModalComponent } from './push-to-production-modal/push-to-production-modal.component';
import { StandardProductConfigurationPageComponent } from './standard-product-configuration-page/standard-product-configuration-page.component';
import { StandardProductTableComponent } from './standard-product-table/standard-product-table.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    StandardProductConfigurationPageComponent,
    StandardProductTableComponent,
    PushToProductionModalComponent,
    FileAvailableToImportModalComponent
  ]
})
export class StandardProductConfigurationModule { }
