import { Pipe, PipeTransform } from '@angular/core';
import { ReferenceFieldsUI } from '@core/typings/ui/reference-fields.typing';
import { ReferenceFieldsService } from '../services/reference-fields.service';

@Pipe({ name: 'gcDoesRefTypeHaveOptions' })
export class DoesRefTypeHaveOptionsPipe implements PipeTransform {

  constructor (
    private referenceFieldService: ReferenceFieldsService
  ) { }

  transform (type: ReferenceFieldsUI.ReferenceFieldTypes): any {
    return this.referenceFieldService.doesTypeHaveOptions(type);
  }

}
