import { AdHocReportingAPI } from '@core/typings/api/ad-hoc-reporting.typing';
import { TokenGroup } from '@core/typings/ckeditor.typing';
import { AdHocReportingUI } from '@core/typings/ui/ad-hoc-reporting.typing';
import { SimpleNumberMap } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class AdHocReportingState extends BaseYcState {
  readonly reports: AdHocReportingAPI.UserSavedReport[];
  readonly reportDetails: SimpleNumberMap<AdHocReportingAPI.UserSavedReportDetail> = {};
  readonly formComponentMap: SimpleNumberMap<AdHocReportingUI.FormComponentSummary[]> = {};
  readonly tableComponentMap: SimpleNumberMap<AdHocReportingAPI.FormComponentSummary[]> = {};
  readonly formMap: SimpleNumberMap<AdHocReportingAPI.FormDisplayModel[]> = {};
  readonly applicationTokenGroups: TokenGroup[];
}
