import { Pipe, PipeTransform } from '@angular/core';
import { BasePermissionImplementation } from '@core/typings/roles.typing';
import { RolesService } from './roles.service';

@Pipe({
  name: 'gcGetPermissionI18nKey'
})
export class GetPermissionI18nKeyPipe implements PipeTransform {
  constructor (
    private rolesService: RolesService
  ) { }

  transform (
    permission: BasePermissionImplementation
  ) {
    return this.rolesService.getPermissionKey(
      permission.permissionSetType,
      permission.permissionType
    );
  }
}
