import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { RolesService } from '../roles.service';

@Injectable({ providedIn: 'root' })
export class RolesResolver implements Resolve<void> {
  constructor (
    private rolesService: RolesService
  ) { }

  async resolve () {
    await this.rolesService.getRoles(true);
  }
}
