import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { SFTPService } from '../sftp.service';

@Injectable({
  providedIn: 'root'
})
export class BasicSFTPCredentialsResolver implements Resolve<void> {

  constructor (
    private sftpService: SFTPService
  ) { }

  async resolve () {
    await this.sftpService.setBasicCredentialsList();
  }
}
