import { SFTPAPI } from '@core/typings/api/sftp.typing';
import { TypeaheadSelectOption } from '@yourcause/common';
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';

@RegisterYCState()
export class SFTPState extends BaseYcState {
  readonly basicCredentialsList: SFTPAPI.BasicSFTPCredentials[];
  readonly userCredentialsList: TypeaheadSelectOption<SFTPAPI.UserSFTPCredentials>[];
  readonly userCredentials: SFTPAPI.SFTPCredentialsListView[];
}
