import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { SystemTagsService } from '@features/system-tags/system-tags.service';

@Injectable({ providedIn: 'root' })
export class SystemTagsResolver implements Resolve<void> {

  constructor (
    private systemTagsService: SystemTagsService
  ) { }

  async resolve () {
    this.systemTagsService.getBuckets();
    await this.systemTagsService.setSummaries();
  }
}
