
import { BaseYcState, RegisterYCState } from '@yourcause/common/state';
import { SystemTags } from './typings/system-tags.typing';

@RegisterYCState()
export class SystemTagsState extends BaseYcState {
  readonly buckets: SystemTags.TagBucket[];
  readonly summaries: SystemTags.TagDefinition[];
  readonly tagMap: {
    [x: string]: {
      [x: string]: number[];
    };
  } = {};
}
