import { Component } from '@angular/core';
import { AuthService } from '@core/services/auth.service';

@Component({
  selector: 'gc-terms-and-conditions-page',
  templateUrl: './terms-and-conditions-page.component.html',
  styleUrls: ['./terms-and-conditions-page.component.scss']
})

export class TermsAndConditionsPageComponent {
  constructor (
    private authService: AuthService) {
    }
  openPrivacyPolicy () {
    window.open(this.authService.privacyPolicyLink, '_blank');
  }
  openTermsOfService () {
    window.open(this.authService.termsOfServiceLink, '_blank');
  }
}
