import { NgModule } from '@angular/core';
import { GCCoreModule } from '@core/_core.module';
import { ImportUsersModalComponent } from '@features/platform-admin/internal-admins/import-users-modal/import-users-modal.component';
import { YCCommonModule } from '@yourcause/common';
import { AddEditUserModalComponent } from './add-edit-user-modal/add-edit-user-modal.component';
import { UsersPageComponent } from './users-page/users-page.component';

@NgModule({
  imports: [
    GCCoreModule,
    YCCommonModule
  ],
  declarations: [
    UsersPageComponent,
    AddEditUserModalComponent,
    ImportUsersModalComponent
  ]
})
export class UsersModule { }
