import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { WorkflowLevelAutomationService } from '../workflow-level-automation.service';

@Injectable({ providedIn: 'root' })
export class WorkflowAutomationFactoriesResolver implements Resolve<void> {

  constructor (
    private workflowLevelAutomationService: WorkflowLevelAutomationService
  ) { }

  async resolve () {
    await this.workflowLevelAutomationService.setAssignmentTableDataFactory(true);
    await this.workflowLevelAutomationService.setAssignmentTableDataFactory(false);
    await this.workflowLevelAutomationService.setAssignmentHistoryTableDataFactory();
    await this.workflowLevelAutomationService.setRoutingHistoryTableDataFactory();
  }
}
