import { ApplicationRef } from '@angular/core';
import { enableDebugTools } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { RootTestModule } from './root-test.module';

platformBrowserDynamic()
  .bootstrapModule(RootTestModule)
  .then((moduleRef) => {
    const applicationRef = moduleRef.injector.get(ApplicationRef);
    const componentRef = applicationRef.components[0];

    // this console allows us to profile the app (get performance metrics for the app) via the console
    console.log(() => enableDebugTools(componentRef));
  });
